/*
 * (C) Daniel Kirstenpfad 2006-2007
 * 
 * DISCLAIMER: THIS IS VERY UGLY CODE. I JUST WANTED IT TO WORK NOT TO LOOK GREAT. IF I GOT THE TIME I'LL MOST PROBABLY
 *             TIDY THINGS UP. IF YOU GOT THE TIME: GO AHEAD AND START SENDING ME PATCHES!!
 *             btk@schrankmonster.de
 * 
 * 
 * */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Text;
using System.Drawing.Drawing2D;
using System.Drawing.Imaging;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Threading;
using AForge;
using AviFile;

namespace Vorspanngenerator
{
    public partial class FeM_Vorspann_Generator : Form
    {
        public List<System.Drawing.Bitmap> RenderedResult;
        public static bool generating;
        public static Thread render_thread;

        public FeM_Vorspann_Generator()
        {
            RenderedResult = new List<Bitmap>();
            InitializeComponent();
        }

        private Image RenderLecturePageImage(Bitmap previous, bool render_line_1, bool render_line_2, bool render_line_3, bool render_line_4, bool render_line_5, bool render_line_6)
        {
            Bitmap newBitmap = previous;//new Bitmap(Properties.Resources._23c3_background);

            Graphics objGraphics;
            Font objFont;
            SizeF fontsize;
            float position_x, position_y;

            // If no text has been entered, get out.
            //if (lecture_number.Text == "") return newBitmap;

            // Create a graphics object using the memory bitmap.
            objGraphics = Graphics.FromImage(newBitmap);
            objGraphics.TextRenderingHint = TextRenderingHint.AntiAlias;

            #region Lecture Number
            objFont = new System.Drawing.Font("Corbel",(float)Convert.ToDouble(line_1_fontsize.Value), FontStyle.Bold);
            if (render_line_1) objGraphics.DrawString("#"+lecture_number.Text, objFont, System.Drawing.Brushes.Black, 330, (float)Convert.ToDouble(line_1_position_y.Value));
            #endregion

            #region Lecture Name
            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(line_2_fontsize.Value), FontStyle.Bold);
            fontsize = objGraphics.MeasureString(lecture_name.Text,objFont);

            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(line_2_position_y.Value);
            if (render_line_2) objGraphics.DrawString(lecture_name.Text, objFont, System.Drawing.Brushes.Black, position_x, position_y);

            #region render-line-2
            if (lecture_name_line2.Text != "")
            {
                fontsize = objGraphics.MeasureString(lecture_name_line2.Text, objFont);

                position_x = (768 / 2) - (fontsize.Width / 2);
                position_y = (float)Convert.ToDouble(line_2_position_y.Value) + (fontsize.Height/2) + 25;
                if (render_line_3) objGraphics.DrawString(lecture_name_line2.Text, objFont, System.Drawing.Brushes.Black, position_x, position_y);
            }
            #endregion

            // without center
            //objGraphics.DrawString(lecture_name.Text, objFont, System.Drawing.Brushes.Black, (float)Convert.ToDouble(line_2_position_x.Value), (float)Convert.ToDouble(line_2_position_y.Value));
            #endregion

            #region Lecture Subtitle
            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(line_3_fontsize.Value), FontStyle.Italic);
            fontsize = objGraphics.MeasureString(lecture_subtitle.Text, objFont);

            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(line_3_position_y.Value);
            if (render_line_4) objGraphics.DrawString(lecture_subtitle.Text, objFont, System.Drawing.Brushes.Black, position_x, position_y);

            #region render-line-2
            if (lecture_name_line2.Text != "")
            {
                fontsize = objGraphics.MeasureString(lecture_subtitle_line2.Text, objFont);

                position_x = (768 / 2) - (fontsize.Width / 2);
                position_y = (float)Convert.ToDouble(line_3_position_y.Value) + (fontsize.Height / 2) + 25;
                if (render_line_5) objGraphics.DrawString(lecture_subtitle_line2.Text, objFont, System.Drawing.Brushes.Black, position_x, position_y);
            }
            #endregion

            #endregion

            #region Speaker
            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(line_4_fontsize.Value), FontStyle.Bold);

            while (objGraphics.MeasureString(lecture_speaker.Text, objFont).Width > 760)
            {
                line_4_fontsize.Value--;
                objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(line_4_fontsize.Value), FontStyle.Bold);
            }

            fontsize = objGraphics.MeasureString(lecture_speaker.Text, objFont);
            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(line_4_position_y.Value);
            if (render_line_6) objGraphics.DrawString(lecture_speaker.Text, objFont, System.Drawing.Brushes.Black, position_x, position_y);
            #endregion

            // Clean up.
            objGraphics.DrawImage(newBitmap, 567, 768);

            return newBitmap;
        }

        private void generate_Click(object sender, EventArgs e)
        {
            System.Drawing.Bitmap image = (Bitmap)RenderLecturePageImage(Properties.Resources._23c3_background,true,true,true,true,true,true);

            AForge.Imaging.Image.FormatImage(ref image);

            // create filter
            //AForge.Imaging.Filters.BrightnessCorrection filter = new AForge.Imaging.Filters.BrightnessCorrection(0.4);
            //AForge.Imaging.Filters.Rotate filter = new AForge.Imaging.Filters.Rotate(45);

            vortrag_bild.Image = image;//filter.Apply(image);

        }

        private void quitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        #region Congress Event Data definition
        /// <summary>
        /// holds the data of one particular category
        /// </summary>
        public class CongressEvent
        {
            public Int32 Id;
            public Int32 DayIndex;
            public DateTime StartDate;
            public DateTime StartTime;
            public String Room;
            public String Title;
            public String Subtitle;
            public String track;
            public String language;
            public String abstract_text;
            public String description;
          
            public List<String> Persons;

            public List<String> Links;
            
            public CongressEvent()
            {
                Persons = new List<String>();
                Links = new List<String>();
            }
        }
        #endregion


        public static List<CongressEvent> CongressEvents = new List<CongressEvent>();


        private void Form1_Load(object sender, EventArgs e)
        {
            //tabControl1.SelectedTab = tabControl1.TabPages[1];

            // let's parse the system.en.xml if it is available...
            XmlTextReader reader = new XmlTextReader("schedule.en.xml");

            CongressEvent currentEvent = new CongressEvent();

            DateTime currentDay = DateTime.Now;

            while (reader.Read())
            {
                switch (reader.NodeType)
                {
                    case XmlNodeType.Element: // Der Knoten ist ein Event
                        switch (reader.Name)
                        {
                            #region Nodes
                            case "day":
                                DateTime.TryParse(reader["date"], out currentDay);
                                break;
                            case "event":
                                currentEvent = new CongressEvent();
                                currentEvent.Id = Convert.ToInt32(reader["id"]);
                                currentEvent.StartDate = currentDay;
                                break;
                            case "start":
                                reader.Read();
                                DateTime.TryParse(reader.Value, out currentEvent.StartTime);
                                break;
                            case "room":
                                reader.Read();
                                currentEvent.Room = reader.Value;
                                break;
                            case "title":
                                reader.Read();
                                currentEvent.Title = reader.Value;
                                break;
                            case "subtitle":
                                reader.Read();
                                currentEvent.Subtitle = reader.Value;
                                break;
                            case "track":
                                reader.Read();
                                currentEvent.track = reader.Value;
                                break;
                            case "language":
                                reader.Read();
                                currentEvent.language = reader.Value;
                                break;
                            case "abstract":
                                reader.Read();
                                currentEvent.abstract_text = reader.Value;
                                break;
                            case "description":
                                reader.Read();
                                currentEvent.description = reader.Value;
                                break;
                            case "person":
                                reader.Read();
                                currentEvent.Persons.Add(reader.Value);
                                break;
                            case "link":
                                //reader.Read();
                                currentEvent.Links.Add(reader["href"]);
                                break;
                            #endregion
                        }
                        break;
                    case XmlNodeType.Text: //Anzeigen des Textes in jedem Element.
                        //Console.WriteLine(reader.Value);
                        break;
                    case XmlNodeType.EndElement: //Anzeigen des Endes des Elements.
                        switch (reader.Name)
                        {
                            case "event":
                                CongressEvents.Add(currentEvent);
                                break;
                        }
                        break;
                }

            }
            EventDataView.Items.Clear();

            foreach (CongressEvent event_ in CongressEvents)
            {
                ListViewItem newItem = EventDataView.Items.Add(event_.Id.ToString(), event_.Id.ToString());

                newItem.SubItems.Add((string)event_.Title);
            }
        }

        private void berToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Ueber aboutDialog = new Ueber();

            aboutDialog.Show();
        }

        private string Speakers(CongressEvent event_)
        {
            String Speakers_ = "";
              
            int count = 0;

            foreach (String speaker in event_.Persons)
            {
                count++;

                if (count == 1)
                    Speakers_ = speaker;
                else
                    Speakers_ = Speakers_ + ", " + speaker;
            }
            return Speakers_;
        }


        private void EventData_Searchbox_TextChanged(object sender, EventArgs e)
        {
            EventDataView.Items.Clear();

            foreach(CongressEvent event_ in CongressEvents)
            {
                if (event_.Title.ToUpper().Contains(EventData_Searchbox.Text.ToUpper()) | (Speakers(event_).ToUpper().Contains(EventData_Searchbox.Text.ToUpper())))
                {
                    ListViewItem newItem = EventDataView.Items.Add(event_.Id.ToString(),event_.Id.ToString());

                    newItem.SubItems.Add((string)event_.Title);
                }
            }
        }

        private void EventDataView_ItemSelectionChanged(object sender, ListViewItemSelectionChangedEventArgs e)
        {
            foreach (CongressEvent event_ in CongressEvents)
            {
                if (event_.Id.ToString() == e.Item.ImageKey)
                {
                    Event_Date.Value = event_.StartDate;
                    Event_Time.Value = event_.StartTime;
                    Event_Description.Text = event_.description;
                    Event_ShortInfo.Text = event_.abstract_text;
                   
                    Event_Subtitle.Text = event_.Subtitle;
                    Event_Title.Text = event_.Title;
                    Event_Room.Text = event_.Room;
                    Event_Number.Text = event_.Id.ToString();

                    lecture_number.Text = event_.Id.ToString();
                    lecture_name.Text = event_.Title;

                    lecture_name_line2.Text = "";
                    lecture_subtitle_line2.Text = "";
                    

                    int count = 0;

                    foreach (String speaker in event_.Persons)
                    {
                        count++;

                        if (count == 1)
                            Event_Speakers.Text = speaker;
                        else
                            Event_Speakers.Text = Event_Speakers.Text + ", " + speaker;
                    }
                    lecture_speaker.Text = Event_Speakers.Text;
                    lecture_subtitle.Text = event_.Subtitle;
                }
            }
        }

        #region prev-next-buttons

        private void page_1_next_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 1;
        }

        private void page_2_prev_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 0;
        }

        private void page_2_next_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 2;
        }

        private void page_3_prev_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 1;
        }

        private void page_3_next_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 3;
        }

        private void page_4_prev_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 2;
        }

        private void page_4_next_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = 0;
        }
        #endregion
        
        #region Generate the Movie
        private void generatebutton_Click(object sender, EventArgs e)
        {
            generator_progress_bar.Enabled = true;
            if (generating)
            {
                generating = false;
                render_thread.Abort();
                generatebutton.Text = "generieren";
            }
            else
            {
                generating = true;
                generatebutton.Text = "Stop";
                render_thread = new Thread(new ThreadStart(RenderAnimation));
                render_thread.Start();
            }
        }
        #endregion

        #region render Event picture preview
        private void event_picture_Paint(object sender, PaintEventArgs e)
        {
            event_picture.Image = render_event_page(Properties.Resources._23c3_background,true, true, true, true, true);
        }
        #endregion

        #region Render Event Page
        private Image render_event_page(Bitmap previous, bool render_line_1, bool render_line_2, bool render_line_3, bool render_line_4, bool render_line_5)
        {
            Bitmap newBitmap = previous;// new Bitmap(Properties.Resources._23c3_background);

            Graphics objGraphics;
            Font objFont;
            SizeF fontsize;
            float position_x, position_y;

            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(line_3_fontsize.Value), FontStyle.Italic);

            // draws the event overview picture
            String event_line_1 = "23rd Chaos Communication Congress";
            int event_line1_fontsize = 32;
            int event_line1_posy = 135;

            String event_line_2 = "December 27th to 30th, 2006";

            String event_line_3 = "Berliner Congress Center";
            int event_line_3_fontsize = 30;
            int event_line_3_posy = 330;

            String event_line_4 = "Berlin, Germany";

            String event_line_5 = "http://events.ccc.de/congress/2006";
            int event_line_5_fontsize = 30;
            int event_line_5_posy = 465;

            // Create a graphics object using the memory bitmap.
            objGraphics = Graphics.FromImage(newBitmap);
            objGraphics.TextRenderingHint = TextRenderingHint.AntiAlias;

            #region Lecture Name
            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(event_line1_fontsize), FontStyle.Bold);
            fontsize = objGraphics.MeasureString(event_line_1, objFont);

            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(event_line1_posy);
            if (render_line_1) objGraphics.DrawString(event_line_1, objFont, System.Drawing.Brushes.Black, position_x, position_y);

            fontsize = objGraphics.MeasureString(event_line_2, objFont);
            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(event_line1_posy) + (fontsize.Height / 2) + 25;
            if (render_line_2) objGraphics.DrawString(event_line_2, objFont, System.Drawing.Brushes.Black, position_x, position_y);
            #endregion

            #region Lecture Subtitle
            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(event_line_3_fontsize), FontStyle.Italic);
            fontsize = objGraphics.MeasureString(event_line_3, objFont);

            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(event_line_3_posy);
            if (render_line_3) objGraphics.DrawString(event_line_3, objFont, System.Drawing.Brushes.Black, position_x, position_y);

            fontsize = objGraphics.MeasureString(event_line_4, objFont);

            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(event_line_3_posy) + (fontsize.Height / 2) + 25;
            if (render_line_4) objGraphics.DrawString(event_line_4, objFont, System.Drawing.Brushes.Black, position_x, position_y);
            #endregion

            #region Speaker
            objFont = new System.Drawing.Font("Corbel", (float)Convert.ToDouble(event_line_5_fontsize), FontStyle.Bold);

            fontsize = objGraphics.MeasureString(event_line_5, objFont);
            position_x = (768 / 2) - (fontsize.Width / 2);
            position_y = (float)Convert.ToDouble(event_line_5_posy);
            if (render_line_5) objGraphics.DrawString(event_line_5, objFont, System.Drawing.Brushes.Black, position_x, position_y);
            #endregion

            // Clean up.
            objGraphics.DrawImage(newBitmap, 567, 768);

            return newBitmap;
        }
        #endregion

        #region Animation Rendering

        #region blend
        private Bitmap BlendPictures(Bitmap FromImage, Bitmap ToImage, double percentage)
        {
            AForge.Imaging.Image.FormatImage(ref FromImage);
            AForge.Imaging.Image.FormatImage(ref ToImage);

            AForge.Imaging.Filters.Morph filter = new AForge.Imaging.Filters.Morph(FromImage, Convert.ToDouble(percentage));



            return AForge.Imaging.Image.Clone(filter.Apply(ToImage), PixelFormat.Format32bppArgb);//filter.Apply(ToImage);
        }
        #endregion

        #region Threadsafeism

        delegate void SetIntCallback(int value);
        delegate void Set2ndIntCallback(int value);
        delegate void SetBitmapCallback(Bitmap value);
        delegate void SetTextCallback(String value);

        private void SetProgressBar(int percentage)
        {
            try
            {
                if (this.generator_progress_bar.InvokeRequired)
                {
                    SetIntCallback d = new SetIntCallback(SetProgressBar);
                    this.Invoke(d, new object[] { percentage });
                }
                else
                {
                    this.generator_progress_bar.Value = percentage;
                }
            }
            catch (Exception e)
            {
            }
        }

        private void SetButtonText(String value)
        {
            try
            {
                if (this.generatebutton.InvokeRequired)
                {
                    SetTextCallback d = new SetTextCallback(SetButtonText);
                    this.Invoke(d, new object[] { value });
                }
                else
                {
                    this.generatebutton.Text = value;
                }
            }
            catch (Exception e)
            {
            }
        }

        private void SetOverallProgressBar(int percentage)
        {
            try
            {
                if (this.overall_progress_bar.InvokeRequired)
                {
                    Set2ndIntCallback d = new Set2ndIntCallback(SetOverallProgressBar);
                    this.Invoke(d, new object[] { percentage });
                }
                else
                {
                    this.overall_progress_bar.Value = percentage;
                }
            }
            catch (Exception e)
            {
            }
        }


        private void SetPreviewBitmap(Bitmap value)
        {
            if (previewGenerator.Checked)
            {
                try
                {
                    if (this.ResultPreviewPicture.InvokeRequired)
                    {
                        SetBitmapCallback d = new SetBitmapCallback(SetPreviewBitmap);
                        this.Invoke(d, new object[] { value });
                    }
                    else
                    {
                        this.ResultPreviewPicture.Image = value;
                    }
                }
                catch (Exception e)
                {
                }
            }
        }

        #endregion

        #region Save it
        public void SaveBitmap(Bitmap bild)
        {
        }
        #endregion


        public void RenderAnimation()
        {
            try
            {
                // clear Animation List
                RenderedResult = new List<Bitmap>();

                Bitmap Output = new Bitmap(768, 576);
                Bitmap Previous_Picture;
                Bitmap Next_Picture;

                bool saveit = true;

                SetOverallProgressBar(0);


                AviManager aviManager = new AviManager(@"output.avi", false);
                //add a new video stream and one frame to the new file
                VideoStream aviStream = aviManager.AddVideoStream(false, 25, BlendPictures(new Bitmap(Properties.Resources._23c3_white), new Bitmap(Properties.Resources._23c3_background), 0));

                #region First fade from White into Background
                for (double i = 0; i < 1.03; i += 0.04)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Properties.Resources._23c3_white), new Bitmap(Properties.Resources._23c3_background), i);
                    SetPreviewBitmap(Output);
                    
                    if (saveit) aviStream.AddFrame(Output);
                    Output.Dispose();
                }
                #endregion

                SetOverallProgressBar(7);

                #region Event Page

                #region fade from background to light background
                Previous_Picture = new Bitmap(Properties.Resources._23c3_background);
                Next_Picture = new Bitmap(Properties.Resources._23c3_white);
                for (double i = 0; i < 0.3; i += 0.05)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);

                    if (saveit) aviStream.AddFrame(Output);
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 0.3);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion


                #region fade from background to first line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)render_event_page(Output,true, false, false, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    
                    if (saveit) aviStream.AddFrame(Output);
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(14);

                #region fade from background to second line

                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)render_event_page(Output,true, true, false, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(21);

                #region fade from background to third line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)render_event_page(Output,true, true, true, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(28);

                #region fade from background to fourth line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)render_event_page(Output,true, true, true, true, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(35);

                #region fade from background to fifth line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)render_event_page(Output,true, true, true, true, true);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(42);
                #endregion

                #region Pause
                for (double i = 0; i < 1; i += 0.01)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                }
                #endregion

                #region fadeout to background
                Previous_Picture = new Bitmap(Output);
                Next_Picture = BlendPictures(new Bitmap(Properties.Resources._23c3_background), new Bitmap(Properties.Resources._23c3_white), 0.3); 
                for (double i = 0; i < 1; i += 0.1)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(49);

                #region Lecture Page

                #region fade to first line
                Previous_Picture = BlendPictures(new Bitmap(Properties.Resources._23c3_background), new Bitmap(Properties.Resources._23c3_white), 0.3);
                Next_Picture = (Bitmap)RenderLecturePageImage(Previous_Picture,true, false, false, false, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(56);

                #region fade to second line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)RenderLecturePageImage(Output,true, true, false, false, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(63);

                #region fade to third line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)RenderLecturePageImage(Output, true, true, true, false, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(70);

                #region fade to fourth line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)RenderLecturePageImage(Output, true, true, true, true, false, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(77);

                #region fade to fifth line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)RenderLecturePageImage(Output, true, true, true, true, true, false);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(84);

                #region fade to sixth line
                Previous_Picture = new Bitmap(Output);
                Next_Picture = (Bitmap)RenderLecturePageImage(Output, true, true, true, true, true, true);
                for (double i = 0; i < 1; i += 0.2)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion

                SetOverallProgressBar(91);

                #endregion

                #region Pause
                for (double i = 0; i < 1; i += 0.01)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                }
                #endregion


                #region fadeout to white
                Previous_Picture = new Bitmap(Output);
                Next_Picture = new Bitmap(Properties.Resources._23c3_white);
                for (double i = 0; i < 1; i += 0.08)
                {
                    SetProgressBar(Convert.ToInt32(i * 100));
                    Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), i);
                    SetPreviewBitmap(Output);
                    if (saveit) aviStream.AddFrame(new Bitmap((Image)Output));
                    Output.Dispose();
                }
                Output = BlendPictures(new Bitmap(Previous_Picture), new Bitmap(Next_Picture), 1);
                Previous_Picture.Dispose();
                Next_Picture.Dispose();
                #endregion
                SetOverallProgressBar(100);

                aviManager.Close();
            }
            catch (Exception e)
            {

            }

            Thread.Sleep(100);
            SetProgressBar(0);
            SetOverallProgressBar(0);
            SetButtonText("generieren");
            generatebutton_Click(new object(), new EventArgs());
        }

        #endregion
    }
}